apiVersion: org.eclipse.che/v1
kind: CheCluster
metadata:
  name: codeready-workspaces
spec:
  server:
    cheImage: 'quay.io/crw/server-rhel8'
    cheImageTag: 'latest'
    devfileRegistryImage: 'quay.io/crw/devfileregistry-rhel8:latest'
    pluginRegistryImage: 'quay.io/crw/pluginregistry-rhel8:latest'
    cheFlavor: 'codeready'
    gitSelfSignedCert: false
    tlsSupport: true
    selfSignedCert: true
    allowUserDefinedWorkspaceNamespaces: false
    customCheProperties:
      CHE_LIMITS_USER_WORKSPACES_RUN_COUNT: '-1'
      CHE_WORKSPACE_AGENT_DEV_INACTIVE__STOP__TIMEOUT__MS: '900000'
      CHE_DOCKER_ALWAYS__PULL__IMAGE: 'true'
      CHE_WORKSPACE_PLUGIN__BROKER_METADATA_IMAGE: 'quay.io/crw/pluginbroker-metadata-rhel8:latest'
      CHE_WORKSPACE_PLUGIN__BROKER_ARTIFACTS_IMAGE: 'quay.io/crw/pluginbroker-artifacts-rhel8:latest'
      CHE_SERVER_SECURE__EXPOSER_JWTPROXY_IMAGE: 'quay.io/crw/jwtproxy-rhel8:latest'
      CHE_FACTORY_DEFAULT__EDITOR: 'eclipse/che-theia/latest'
      CHE_FACTORY_DEFAULT__PLUGINS: 'eclipse/che-machine-exec-plugin/latest'
      CHE_WORKSPACE_DEVFILE_DEFAULT__EDITOR: 'eclipse/che-theia/latest'
      CHE_WORKSPACE_DEVFILE_DEFAULT__EDITOR_PLUGINS: 'eclipse/che-machine-exec-plugin/latest'

  database:
    externalDb: false
  storage:
    pvcStrategy: 'per-workspace'
    pvcClaimSize: '1Gi'
    preCreateSubPaths: true

  auth:
    openShiftoAuth: true
    externalIdentityProvider: false
    identityProviderAdminUserName: 'admin'
    identityProviderPassword: 'admin'
